org.apache.ignite.internal.managers

## Class IgniteMBeansManager

- java.lang.Object
- - org.apache.ignite.internal.managers.IgniteMBeansManager

    public class IgniteMBeansManager
    extends Object

Class that registers and unregisters MBeans for kernal.

### Constructor Summary

Constructors
Constructor and Description
`IgniteMBeansManager(IgniteKernal kernal)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> void` `registerMBean(String grp, String name, T impl, Class<T> itf)` Register an Ignite MBean.
`void` `registerMBeansAfterNodeStarted()` Registers kernal MBeans (for kernal, metrics, thread pools) after node start.
`void` `registerMBeansDuringInitPhase()` Registers kernal MBeans during init phase.
`boolean` `unregisterAllMBeans()` Unregisters all previously registered MBeans.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteMBeansManager

    public IgniteMBeansManager(IgniteKernal kernal)

Parameters:
  `kernal` - Grid kernal.

### Method Detail

#### registerMBeansAfterNodeStarted

    public void registerMBeansAfterNodeStarted()
                                        throws IgniteCheckedException

Registers kernal MBeans (for kernal, metrics, thread pools) after node start.

Throws:
  `IgniteCheckedException` - if fails to register any of the MBeans.

#### registerMBeansDuringInitPhase

    public void registerMBeansDuringInitPhase()
                                       throws IgniteCheckedException

Registers kernal MBeans during init phase.

Throws:
  `IgniteCheckedException` - if fails to register any of the MBeans.

#### registerMBean

    public <T> void registerMBean(String grp,
                                  String name,
                                  T impl,
                                  Class<T> itf)
                           throws IgniteCheckedException

Register an Ignite MBean.

Type Parameters:
  `T` - bean type
Parameters:
  `grp` - bean group name
  `name` - bean name
  `impl` - bean implementation
  `itf` - bean interface
Throws:
  `IgniteCheckedException` - if registration fails

#### unregisterAllMBeans

    public boolean unregisterAllMBeans()

Unregisters all previously registered MBeans.

Returns:
  `true` if all mbeans were unregistered successfully; `false` otherwise.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022